## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# ConstructWithMemoryManager< C > Struct Template Reference

List of all members.

## Public Types

- typedef ConstructValueWithMemoryManager<
  C > ConstructableType

## Static Public Member Functions

- C * construct (C *address, MemoryManagerType &mgr)
- C * construct (C *address, const C &theRhs, MemoryManagerType &mgr)

### template<class C>
struct ConstructWithMemoryManager< C >

## Member Typedef Documentation

template<class C>
typedef ConstructValueWithMemoryManager<C> ConstructWithMemoryManager< C >::ConstructableType

## Member Function Documentation

template<class C>
C* ConstructWithMemoryManager< C >::construct | ( | C * | address,
|  | const C & | theRhs,
|  | MemoryManagerType & | mgr
| ) | `[static]`

template<class C>
C* ConstructWithMemoryManager< C >::construct | ( | C * | address,
|  | MemoryManagerType & | mgr
| ) | `[static]`

The documentation for this struct was generated from the following file:

- XalanMemoryManagement.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.